## Struct smessage

boost::log::expressions::tag::smessage

## Synopsis

    // In header: <boost/log/expressions/message.hpp>

    struct smessage : public keyword_descriptor {
      // types
      typedef void        attribute_type;
      typedef std::string value_type;

      // public static functions
      static attribute_name get_name();
    };

## Description

Narrow character log message attribute descriptor.

### `smessage` public static functions

1.     static attribute_name get_name();